Subject: Re: [bug#30604] [PATCH 3/4] linux-initrd: Add kmod.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 25 Feb 2018 16:07:50 +0100

Hi Mathieu,

thanks for the review.

On Sun, 25 Feb 2018 15:05:24 +0100
Mathieu Othacehe <[email-masked]> wrote:

> > +                  ; -E  
> Why is this commented ?

Because it's an option for specifying the location of "Module.symvers" - and
I don't know whether guix uses it (probably not).  If one doesn't specify an
option, depmod will default to the running kernel - which is not what we want.

I should elaborate in the comment that, if we start using Module.symvers, we
MUST pass "-E" there.  Maybe better to even just check for the file existence
and add it right now, otherwise we might forget later.  What do you think?